aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-unidecode
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-23 21:38:26 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 14:07:36 +0000
commit702151898e1bc65594df78260d05ce7714d5c958 (patch)
treec1b5a0adb29a7572366edf5c59b9e8e770e57c47 /testing/py-unidecode
parent30e7585a718259388ce033f4dd88132862921b98 (diff)
downloadaports-702151898e1bc65594df78260d05ce7714d5c958.tar.gz
aports-702151898e1bc65594df78260d05ce7714d5c958.tar.bz2
aports-702151898e1bc65594df78260d05ce7714d5c958.tar.xz
testing/py-unidecode: new aport
A Python ASCII transliterations of Unicode text https://pypi.python.org/pypi/Unidecode
Diffstat (limited to 'testing/py-unidecode')
-rw-r--r--testing/py-unidecode/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-unidecode/APKBUILD b/testing/py-unidecode/APKBUILD
new file mode 100644
index 0000000000..f8dbdb8adc
--- /dev/null
+++ b/testing/py-unidecode/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-unidecode
+_pkgname=Unidecode
+pkgver=0.04.14
+pkgrel=0
+pkgdesc="A Python ASCII transliterations of Unicode text"
+url="https://pypi.python.org/pypi/Unidecode"
+arch="noarch"
+license="GPL2+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d4106bcfdef39625944f4294ef4666de Unidecode-0.04.14.tar.gz"
+sha256sums="a66f8a527ee0709742caa16745cc882b85d6cfc12b37fa2f56024d07031f230c Unidecode-0.04.14.tar.gz"
+sha512sums="e7fa53e9c15a8e2d5d04d5516f0ba7bc9b16129a4a295910a271685cd427e17edbc7ebd6b217ebf16637ccf1cb723c0c9e0b59cf991818c48b37650ae7168a9b Unidecode-0.04.14.tar.gz"